#include <iostream>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    int pom;
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){
            if(a[i]>a[j]){
                pom = a[i];
                a[i] = a[j];
                a[j] = pom;
            }
        }
    }
    int t[n];
    int h=0;
    for(int i=0;i<n;i++){
        int b=1;
        for(int j=1;j<k;j++){
            if(a[i]==a[i+j]){
                b++;
            }else{
                break;
            }
        }
        if(b>=k){
            if(t[i-1]!=a[i]){
                t[i]=a[i];
                h++;
                i=i+(k-1);
            }
        }
    }
    cout<<h<<endl;
    for(int i=0;i<n;i++){
        if(t[i]==a[i]){
            cout<<t[i]<<" ";
        }
    }
    return 0;
}